{% extends 'base/base.html' %}

{% block base_title %}
    Import workers
{% endblock %}

{% block base_content %}
    <div class="container jumbotron">
        <div>
            <h1>Import workers from file</h1>
            <div class="lead">Import workers from CSV file.</div>
            <p>The CSV file must have the following form (exemple with two workers and two skills):</p>
            <table class="table">
                <thead>
                    <tr>
                        <th>Worker id (int)</th>
                        <th>Skill id (int)</th>
                        <th>Skill level (float [0; 1])</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <th>0</th>
                        <th>0</th>
                        <th>0.9</th>
                    </tr>
                    <tr>
                        <th>0</th>
                        <th>1</th>
                        <th>0</th>
                    </tr>
                    <tr>
                        <th>1</th>
                        <th>0</th>
                        <th>0.2</th>
                    </tr>
                    <tr>
                        <th>1</th>
                        <th>1</th>
                        <th>0.8</th>
                    </tr>
                </tbody>
            </table>
            <hr class="my-4">
        </div>

        <div>
            <form method="post" enctype=multipart/form-data>
                {% csrf_token %}

                <div class="form-group">
                    <label for="file">Workers CSV file : </label>
                    <input type="file" name="file" accept="*.csv" class="form-control-file">
                </div>

                <div>
                    <button type="submit" class="btn btn-primary">Upload</button>
                </div>
            </form>
        </div>
    </div>
{% endblock %}